function s_plot(diff,p,ppm,cutoff)
    %colormap(jet(10))
    lp=-log(p);
    val=diff;
    %figure;
    %Nmin=min(apcorr);
    Nmin=-log(cutoff);
    Nmax=max(lp);
    map=colormap(jet(10));
    lim=Nmin:(Nmax-Nmin)/10:Nmax;
    figure
    
    plot(ppm,val,'color','k');
    hold on;
    for i=1:9
       val(lp<lim(i))=NaN;
       plot(ppm,val,'color',map(i+1,:));
       hold on;
    end
    set(gca,'XDir','reverse')
end

